Bug 1005015 - Can't redirect tcp type USB device
Can't redirect tcp type USB device
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: usbredir (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Hans de Goede
Desktop QE
:
Depends On:
Blocks: 1085318
  Show dependency treegraph
 
Reported: 2013-09-05 23:02 EDT by hyao@redhat.com
Modified: 2014-06-13 08:07 EDT (History)
11 users (show)

See Also:
Fixed In Version: usbredir-0.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1085318 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:07:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hyao@redhat.com 2013-09-05 23:02:15 EDT
Description of problem:
Can't redirect tcp type USB device

Version-Release number of selected component (if applicable):
# rpm -qa libvirt virt-manager usbredir
usbredir-0.6-3.el7.x86_64
virt-manager-0.10.0-3.el7.noarch
libvirt-1.1.1-3.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1.Plug in a usb device on host with usbredir packages installed.
# lsusb
Bus 006 Device 003: ID 15e1:2007 RSA RSA SecurID (R) Authenticator
# usbredirserver -p 4000 15e1:2007

2. Configure the guest with Redirected USB Device in virt-manager, 
Add Hardware-> USB Redirection-> type: tcp, Address:&IP_of_HostA.4000
andUSB Controller, Type: USB, Model: USB2.

3. On host A 
# usbredirserver -p 4000 15e1:2007
usbredirparser: Peer version: qemu usb-redir guest 1.5.2, using 64-bits ids

4. Check the usb device in rhel guest with lsusb.
# ps -aux | grep qemu
qemu      2731 29.2  8.2 1676076 647532 ?      Sl   18:52   1:23 /usr/libexec/qemu-kvm -name T2 ... -chardev socket,id=charredir0,host=10.66.7.144,port=4000 -device usb-redir,chardev=charredir0,id=redir0

  Check the usb device in Windows guest in my computer. 
#ps -aux | grep qemu
  qemu      5056 33.2 13.7 1513628 1077500 ?     Sl   19:26   0:31 /usr/libexec/qemu-kvm -name xp -S -machine ... -chardev socket,id=charredir0,host=10.66.7.144,port=4000 -device usb-redir,chardev=charredir0,id=redir0 

Actual results:
Steps4,  The USB device is not redirected into the rhel guest and can get the usb info by lsusb. 
         The USB device is not shown in my computer of the windows guest. But from the qemu line I can see the info.

Expected results:
Steps4,  The USB device is redirected into the guest and the usb device is available to use.
Comment 2 Hans de Goede 2013-09-06 06:02:45 EDT
This is fixed by this upstream commit:
http://cgit.freedesktop.org/spice/usbredir/commit/?id=931a41c1c92410639a0e76e6fdd07482f06e4578

Adding devel-ack and moving to post.
Comment 3 Hans de Goede 2013-09-10 05:32:18 EDT
This is fixed in usbredir-0.6-5.el7 moving to MODIFIED.
Comment 4 hyao@redhat.com 2013-09-27 01:03:18 EDT
Verified the bug with following packages: 
spice-gtk-0.20-6.el7.x86_64
libvirt-1.1.1-6.el7.x86_64
virt-manager-0.10.0-3.el7.noarch
usbredir-0.6-5.el7.x86_64

Redirecting USB flash disk with  "USB Redirection"  Type "tcp type" in virt-manager works well.
Comment 6 Ludek Smid 2014-06-13 08:07:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.